Bug 984401 (CVE-2013-4124) - CVE-2013-4124 samba: DoS via integer overflow when reading an EA list
Summary: CVE-2013-4124 samba: DoS via integer overflow when reading an EA list
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4124
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 984799 984807 984808 984809 993043 1018046 1073350 1073351
Blocks: 952520 974906 984402
TreeView+ depends on / blocked
 
Reported: 2013-07-15 07:03 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:05 UTC (History)
7 users (show)

Fixed In Version: samba-3.5.22, samba-3.6.17, samba-4.0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-17 18:18:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1310 normal SHIPPED_LIVE Moderate: samba3x security and bug fix update 2013-10-01 00:31:20 UTC
Red Hat Product Errata RHSA-2013:1542 normal SHIPPED_LIVE Moderate: samba security, bug fix, and enhancement update 2013-11-20 21:40:45 UTC
Red Hat Product Errata RHSA-2013:1543 normal SHIPPED_LIVE Moderate: samba4 security and bug fix update 2013-11-20 21:40:44 UTC
Red Hat Product Errata RHSA-2014:0305 normal SHIPPED_LIVE Moderate: samba security update 2014-03-17 21:42:45 UTC

Description Huzaifa S. Sidhpurwala 2013-07-15 07:03:22 UTC
An integer overflow flaw was found in the way samba read an EA list provided by the client. A malicious client could send a specially crafted EA list that wraps perfectly on a 32-bit boundary, causing the server to loop and re-process the list. This can cause Denial of Service via memory exhaustion.

Reference:

https://bugzilla.samba.org/show_bug.cgi?id=10010 (curently private)

Comment 1 Huzaifa S. Sidhpurwala 2013-07-15 07:22:58 UTC
Support for Extended Attributes (EA) is disabled by default in the versions of samba package shipped with Red Hat Enterprise Linux 5 and 6.

As per the smb(5) man page:

"
This boolean parameter controls whether smbd(8) will allow clients to attempt to store OS/2 style Extended attributes on a share. In order to enable this parameter the underlying filesystem exported by the share must support extended attributes (such as provided on XFS and EXT3 on Linux, with the correct kernel patches). On Linux the filesystem must have been mounted with the mount option
user_xattr in order for extended attributes to work, also extended attributes must be compiled into the Linux kernel.

           Default: ea support = no
"

Comment 6 Jan Lieskovsky 2013-08-05 13:33:00 UTC
External References:

http://www.samba.org/samba/security/

Comment 8 Jan Lieskovsky 2013-08-05 13:43:38 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 993043]

Comment 12 Fedora Update System 2013-08-09 17:09:25 UTC
samba-4.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-08-15 02:50:03 UTC
samba-4.0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 nandan 2013-09-13 14:07:51 UTC
Hello,

Want to know whether this patch is released for version 3.0.33 or do we need to wait for the fix .

Thank you

Comment 15 Andreas Schneider 2013-09-16 15:38:14 UTC
The paranoia checks are still present in 3.0.33.

Comment 16 errata-xmlrpc 2013-09-30 22:22:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1310 https://rhn.redhat.com/errata/RHSA-2013-1310.html

Comment 17 Huzaifa S. Sidhpurwala 2013-10-01 05:07:38 UTC
Statement:

(none)

Comment 19 nandan 2013-10-17 20:12:47 UTC
Hello All,

Is there any ETA for the update to Version of Samba-3.0.33-3.39_el5_8 .
Thanks in advance.


Thank you,
Nandan

Comment 25 errata-xmlrpc 2013-11-21 05:26:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1542 https://rhn.redhat.com/errata/RHSA-2013-1542.html

Comment 26 errata-xmlrpc 2013-11-21 05:28:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1543 https://rhn.redhat.com/errata/RHSA-2013-1543.html

Comment 30 errata-xmlrpc 2014-03-17 17:43:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0305 https://rhn.redhat.com/errata/RHSA-2014-0305.html


Note You need to log in before you can comment on or make changes to this bug.